# Interface CaseLabelTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `ConstantCaseLabelTree, DefaultCaseLabelTree, PatternCaseLabelTree`

public interface CaseLabelTree extends Tree
A marker interface for `Tree`s that may be used as `CaseTree` labels.

Since:
  21

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  ### Methods declared in interface Tree

  `accept, getKind`